Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.io
Class IOContent

    java.lang.Object
      org.basex.io.IO
          org.basex.io.IOContent

    public final class IOContent

extends IO

BaseX content.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.io.IO
`BASEXSUFFIX, BLOCKFILL, BLOCKSIZE, DUMMY, GZSUFFIX, MAXHEIGHT, NODEPOWER, XMLSUFFIX, XQSUFFIX, ZIPSUFFIX`

Constructor Summary
`IOContent(byte[] c)` Constructor.
`IOContent(byte[] c, java.lang.String p)` Constructor.

Method Summary
`BufferInput` | `buffer()` Returns a buffered reader for the file.
`void` | `cache()` Caches the contents.
`org.xml.sax.InputSource` | `inputSource()` Returns the next input source.
`IO` | `merge(IO f)` Merges two filenames.

Methods inherited from class org.basex.io.IO
`children, content, date, dbdelete, dbfile, dbname, dbpath, delete, dir, eq, exists, get, getDir, isDir, length, more, name, path, suffix, toString, url, valid, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IOContent

    public IOContent(byte[] c)

  Constructor.

  Parameters:
    `c` - contents

### IOContent

    public IOContent(byte[] c,
                     java.lang.String p)

  Constructor.

  Parameters:
    `c` - contents
    `p` - content path

Method Detail

### cache

    public void cache()

  Description copied from class: `IO`
  Caches the contents.

  Specified by:
    `cache` in class `IO`

### inputSource

    public org.xml.sax.InputSource inputSource()

  Description copied from class: `IO`
  Returns the next input source.

  Specified by:
    `inputSource` in class `IO`
  Returns:
    input source

### buffer

    public BufferInput buffer()

  Description copied from class: `IO`
  Returns a buffered reader for the file.

  Specified by:
    `buffer` in class `IO`
  Returns:
    buffered reader

### merge

    public IO merge(IO f)

  Description copied from class: `IO`
  Merges two filenames.

  Overrides:
    `merge` in class `IO`
  Parameters:
    `f` - filename of the file
  Returns:
    contents

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD